org.apache.olingo.client.api.communication.request.batch

## Interface ODataBatchResponseItem

- All Superinterfaces:
    Iterator<ODataResponse>

      public interface ODataBatchResponseItem
      extends Iterator<ODataResponse>

  Abstract representation of a response item about a batch request.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResponse(String contentId, ODataResponse res)` Adds the given OData response template to the current OData batch response item.
    `void` | `close()` Closes the current batch responses item including all wrapped OData responses.
    `void` | `initFromBatch(ODataBatchLineIterator batchLineIterator, String boundary)` Initializes ODataResponse template from batch response item part.
    `boolean` | `isBreaking()` Checks if the current item is a breaking item like as error item or asynchronous response part.
    `boolean` | `isChangeset()` Checks if the current batch response item is a changeset.

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Method Detail

    - #### addResponse

          void addResponse(String contentId,
                           ODataResponse res)

      Adds the given OData response template to the current OData batch response item.
      Parameters:
        `contentId` - changeset contentId in case of changeset; '__RETRIEVE__' in case of retrieve item.
        `res` - OData response template to be added.

    - #### initFromBatch

          void initFromBatch(ODataBatchLineIterator batchLineIterator,
                             String boundary)

      Initializes ODataResponse template from batch response item part.
      Parameters:
        `batchLineIterator` - batch response line iterator.
        `boundary` - batch response boundary.

    - #### isChangeset

          boolean isChangeset()

      Checks if the current batch response item is a changeset.
      Returns:
        'TRUE' if the item is a changeset; 'FALSE' otherwise.

    - #### isBreaking

          boolean isBreaking()

      Checks if the current item is a breaking item like as error item or asynchronous response part.
      Returns:
        'TRUE' if breaking; 'FALSE' otherwise.

    - #### close

          void close()

      Closes the current batch responses item including all wrapped OData responses.

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.